- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Defines

- a
- b
- c
- d
- e
- f
- g
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u

Here is a list of all documented file members with links to the documentation:

### - a -

- all : tiffcomposite.hpp

### - b -

- Blob : image.hpp
- byte : types.hpp
- ByteOrder : types.hpp

### - c -

- canoncf : makernote2.hpp
- canoncs : makernote2.hpp
- canonmn : makernote2.hpp
- canonsi : makernote2.hpp
- char() : types.hpp
- CmdId : exiv2.hpp
- CreateFct : makernote.hpp
- crw : crwimage.hpp
- CrwDecodeFct : crwimage.hpp
- CrwDirs : crwimage.hpp
- CrwEncodeFct : crwimage.hpp

### - d -

- DataLocId : types.hpp
- DecoderFct : tiffvisitor.hpp

### - e -

- Entries : ifd.hpp
- exif : tiffcomposite.hpp
- ExifMetadata : exif.hpp
- EXIV2_CHECK_VERSION : exiv2_version.h
- EXIV2_MAJOR_VERSION : exiv2_version.h
- EXIV2_MAKE_VERSION : exiv2_version.h
- EXIV2_MINOR_VERSION : exiv2_version.h
- EXIV2_PATCH_VERSION : exiv2_version.h
- EXIV2_RCSID : rcsid.hpp
- EXIV2_VERSION : exiv2_version.h
- exv : jpgimage.hpp
- EXV_CALL_MEMBER_FN : types.hpp
- EXV_COUNTOF : types.hpp
- EXV_PRINT_TAG : tags.hpp

### - f -

- find() : types.hpp
- fujimn : makernote2.hpp

### - g -

- gcd() : types.hpp
- getType() : value.hpp
- getType< int16_t >() : value.hpp
- getType< int32_t >() : value.hpp
- getType< Rational >() : value.hpp
- getType< uint16_t >() : value.hpp
- getType< uint32_t >() : value.hpp
- getType< URational >() : value.hpp
- getValue() : value.hpp
- gps : tiffcomposite.hpp

### - i -

- ifd0 : tiffcomposite.hpp
- ifd1 : tiffcomposite.hpp
- IfdId : types.hpp
- Ifds : tiffcomposite.hpp
- ignr : tiffcomposite.hpp
- iop : tiffcomposite.hpp
- IptcMetadata : iptc.hpp
- IsThisTypeFct : image.hpp

### - j -

- jpeg : jpgimage.hpp

### - l -

- LongValue : value.hpp

### - m -

- MetadataId : types.hpp, exiv2.hpp
- minocs5 : makernote2.hpp
- minocs7 : makernote2.hpp
- minocsn : makernote2.hpp
- minocso : makernote2.hpp
- minoltamn : makernote2.hpp
- mn : tiffcomposite.hpp
- ModifyCmds : exiv2.hpp
- mrw : mrwimage.hpp

### - n -

- NewInstanceFct : image.hpp
- NewMnFct : makernote2.hpp
- newTiffArrayElement() : tiffcomposite.hpp
- newTiffArrayEntry() : tiffcomposite.hpp
- NewTiffCompFct : tiffcomposite.hpp
- next : tiffcomposite.hpp
- nikon1mn : makernote2.hpp
- nikon2mn : makernote2.hpp
- nikon3mn : makernote2.hpp
- nikonmn : makernote2.hpp
- none : tiffcomposite.hpp, image.hpp

### - o -

- olympmn : makernote2.hpp
- operator<<() : value.hpp, metadatum.hpp, error.hpp

### - p -

- panamn : makernote2.hpp
- PrintFct : tags.hpp
- printTag() : tags.hpp

### - r -

- Rational : types.hpp
- RationalValue : value.hpp
- root : tiffcomposite.hpp

### - s -

- SectionId : tags.hpp
- setValue() : exif.hpp
- ShortValue : value.hpp
- sigmamn : makernote2.hpp
- sony1mn : makernote2.hpp
- sony2mn : makernote2.hpp
- sonymn : makernote2.hpp
- sub0_0 : tiffcomposite.hpp
- sub0_1 : tiffcomposite.hpp
- sub0_2 : tiffcomposite.hpp
- sub0_3 : tiffcomposite.hpp

### - t -

- TaskType : actions.hpp
- tiff : tiffimage.hpp
- TiffCompFactoryFct : tiffcomposite.hpp
- toData() : value.hpp
- toString() : types.hpp
- TypeId : types.hpp

### - u -

- ULongValue : value.hpp
- URational : types.hpp
- URationalValue : value.hpp
- UShortValue : value.hpp